function fourdemo(input)

if nargin==0,
clf;
set(gcf,...
    'MENUBAR', 'none',...
    'NAME', 'FOURIER TRANSFORM DEMO',...
    'UNITS', 'normalized',...
    'NUMBERTITLE', 'off');

about_menu = uimenu('LABEL', 'About',...
		    'CALLBACK', 'infoscrn');

close_menu = uimenu('LABEL', 'Exit',....
 		    'CALLBACK', 'close');
 
uicontrol('STYLE', 'pushbutton',...
          'UNITS', 'normalized',...
          'POSITION', [0.10 0.80 0.2 0.10],...
          'STRING', 'Decaying Exp.',...
          'CALLBACK', 'decayexp');

uicontrol('STYLE', 'pushbutton',...
          'UNITS', 'normalized',...
          'POSITION', [0.10 0.50 0.2 0.10],...
          'STRING', 'Rect. Pulse',...
          'CALLBACK', 'sqrpulse');

uicontrol('STYLE', 'pushbutton',...
          'UNITS', 'normalized',...
          'POSITION', [0.10 0.20 0.2 0.10],...
          'STRING', 'Cosine Pulse',...
	  'CALLBACK', 'cospulse');

dec_exp_axes = axes('POSITION', [0.4 0.70 0.55 0.2]);
t = -4:0.01:4;
y = exp(-t).*ustep(t);
dec_exp_plot = plot(t,y);
grid;

sqr_puls_axes = axes('POSITION', [0.4 0.40 0.55 0.2]);
t = -4:0.01:4;
y = [ustep(t+1) - ustep(t-1)];
sqr_puls_plot = plot(t,y);
grid;

cos_puls_axes = axes('POSITION', [0.4 0.10 0.55 0.2]);
t = -4:0.01:4;
y = cos(7*t).*[ustep(t+pi/2) - ustep(t-pi/2)];
cos_puls_plot = plot(t,y);
grid;
 
end 